classification
Title: Fix IDLE in unicodeless build
Type: behavior Stage: resolved
Components: IDLE, Tests Versions: Python 2.7
process
Status: closed Resolution: rejected
Dependencies: 21833 21835 Superseder:
Assigned To: Nosy List: benjamin.peterson, kbk, roger.serwy, serhiy.storchaka, terry.reedy
Priority: low Keywords: patch

Created on 2014-06-24 07:18 by serhiy.storchaka, last changed 2017-04-20 17:12 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
idle.patch serhiy.storchaka, 2014-06-24 07:22 review
Messages (3)
msg221414 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-06-24 07:18
Proposed patch fixes IDLE and it's tests for Python built with the --disable-unicode configure option.
msg228253 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-10-02 19:59
I am not particularly interested in having Idle run on no-uhicode builds.  I believe the usecase is to reduce the memory footprint of a python installation, and that would suggest not including tcl/tk, tkinter, and idlelib.

Having Idle tests not fail on such a build is a good idea.  That could be easily done by adding 'requires_unicode', however that is spelled, to 2.7 test/test_idle.py.

If idlelib were to be patched, I would prefer to minimize the disruption and maintenance burden by adding 'class unicode(object): pass' and skip all the 'unicode' to '_unicode' changes.
msg229150 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-10-12 14:32
Most tests which detects no-unicode build, assume that the unicode doesn't exist. It can be confused to introduce faked public (non-underscored) name.
History
Date User Action Args
2017-04-20 17:12:10serhiy.storchakasetstatus: open -> closed
resolution: rejected
stage: patch review -> resolved
2014-10-14 10:41:58serhiy.storchakasetpriority: normal -> low
dependencies: + Fix Tkinter in unicodeless build
2014-10-12 14:32:59serhiy.storchakasetmessages: + msg229150
2014-10-02 19:59:26terry.reedysetmessages: + msg228253
2014-06-24 07:22:05serhiy.storchakasetfiles: + idle.patch
nosy: + benjamin.peterson
dependencies: + Fix unicodeless build of Python
keywords: + patch
2014-06-24 07:18:08serhiy.storchakacreate